
  With ds_upgrades.FieldDefs Do
    Begin
      Add('filename',ftstring,40,false);
      Add('mountoffset',ftinteger,0,false);
      Add('subunoffset',ftinteger,0,false);
    end;
  ds_upgrades.CreateTable;
  ds_upgrades.Open;

